GNU bug report logs - #38148
Guix packages old/broken version of qutebrowser

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Florian Bruhin <me@HIDDEN>; dated Sat, 9 Nov 2019 11:26:04 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 14 Jan 2020 00:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 19:13:56 2020
Received: from localhost ([127.0.0.1]:60429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir9qG-0000X4-BH
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 19:13:56 -0500
Received: from mail-pj1-f67.google.com ([209.85.216.67]:52992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike.rosset@HIDDEN>) id 1ir9qE-0000Wk-GG
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 19:13:54 -0500
Received: by mail-pj1-f67.google.com with SMTP id a6so4876655pjh.2
 for <38148 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 16:13:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Yg53lklZQHZNv3N8afDQu3dnDuzoqWLe3OduNP1hhW8=;
 b=d31y5+RD0is2W7+raug9qpqmyR8NOEPofGRYgj0OScYCFXPoxN2wBx8yxiF+f+kDQ9
 1szfDU60xx0NUsKFtZy6SaP34SHO8e1e1pqz/DzHNNCHOibVzBOeHpoINLpNvXLHNwZd
 b5YtX5DVfREdVedRZt1Vcwe99WDvPuoVv0Wkr5rMOL7yoIFQemas0EB8EFoRg8AgaLJ/
 yWAR89ND3jqp5nMYi4x7keLD1efsZQN5WdsjquyfYR8JZXXGqeSZ/3bm1kKV3sbKJ0y6
 2k+QQBlj40ZOIMpFP1ANRV/jlosXd17OPSjzf2a5g65q1P8IOAA9x3jTyLeAX/ow2LdJ
 CtBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Yg53lklZQHZNv3N8afDQu3dnDuzoqWLe3OduNP1hhW8=;
 b=snCY2osRk6/d0i7gidmFZ1m+Tbgw75RqPAACL9OJoN6tJxCnWd3a+mOIYX9yZeL3q0
 oYnxxxHk2hofSj4YNKfBQOMuUseXVPT7DQnRqSS5ME7thO1n/HCgTXuLtHygowfu2Y0i
 0SNoKyw7qzVt2CltGAb9CgKucyqYsQtLk1p33hWmbaZtwfCvB5qWgC7KSbk7KRQbzc8A
 FCYCd9E52CMBmsxVTwRT2vdAyc82xMOMqv+8xqs5cFx1XQWvNL1Nrs/a2OC49TBNXKz1
 SydcjJaY2Im/mayT9eJ6yY7LgbJK6IoaTkjYLjQNxO029QKub6JKop5LIl8d+9PKBvfb
 f8rw==
X-Gm-Message-State: APjAAAX4aCMtSWcj5448+saF+NIi6hjpBP+KbJdTomquWexuIhZV/Pa7
 Sq+J+DqlhsQ8O288eU9n4HmT1jlgxrk=
X-Google-Smtp-Source: APXvYqzTY72hLq77FWMX4/aU7isbhqQHc2cWV7m3ZTsUS08DVlDcYqgcl7XiDKqvhfzEPY8j0vioxA==
X-Received: by 2002:a17:90a:a05:: with SMTP id
 o5mr25636652pjo.77.1578960828675; 
 Mon, 13 Jan 2020 16:13:48 -0800 (PST)
Received: from neutron.hitronhub.home (S010664777da04f43.vf.shawcable.net.
 [70.68.94.152])
 by smtp.gmail.com with ESMTPSA id y5sm5022913pfn.185.2020.01.13.16.13.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Jan 2020 16:13:48 -0800 (PST)
From: Mike Rosset <mike.rosset@HIDDEN>
To: 38148 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: qutebrowser: Improve comment sections.
Date: Mon, 13 Jan 2020 16:13:21 -0800
Message-Id: <20200114001321.26486-2-mike.rosset@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200114001321.26486-1-mike.rosset@HIDDEN>
References: <20200113103304.9093-1-mike.rosset@HIDDEN>
 <20200114001321.26486-1-mike.rosset@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38148
Cc: mike.rosset@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/web-browsers.scm (qutebrowser)[comments]: Improve the comment
  describing why qtwebengine is used as an input. Added punctuation to FIXME
  for test phase.
---
 gnu/packages/web-browsers.scm | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/web-browsers.scm b/gnu/packages/web-browsers.scm
index 035fdc1dd9..a44add3c0a 100644
--- a/gnu/packages/web-browsers.scm
+++ b/gnu/packages/web-browsers.scm
@@ -301,14 +301,13 @@ access.")
        ;; that it's __init__.py is used first.
        ("python-pyqtwebengine" ,python-pyqtwebengine)
        ("python-pyqt" ,python-pyqt)
-       ;; qtwebengine is not a direct input because it's already provided by
-       ;; python-pyqtwebengine.  It's included so we can wrap
-       ;; QTWEBENGINEPROCESS_PATH
+       ;; While qtwebengine is provided by python-pyqtwebengine.  It's
+       ;; included here so we can wrap QTWEBENGINEPROCESS_PATH
        ("qtwebengine" ,qtwebengine)))
     (arguments
-     `( ;; FIXME: With the existance of qtwebengine, tests can now run.  But
-       ;; they are still disabled because test phase hangs. It's not readily
-       ;; apparent as to why
+     `(;; FIXME: With the existance of qtwebengine, tests can now run.  But
+       ;; they are still disabled because test phase hangs.  It's not readily
+       ;; apparent as to why.
        #:tests? #f
        #:phases
        (modify-phases %standard-phases
-- 
2.24.1





Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 14 Jan 2020 00:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 19:13:56 2020
Received: from localhost ([127.0.0.1]:60427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir9qG-0000X2-2o
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 19:13:56 -0500
Received: from mail-pj1-f42.google.com ([209.85.216.42]:51361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike.rosset@HIDDEN>) id 1ir9qE-0000Wi-3S
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 19:13:54 -0500
Received: by mail-pj1-f42.google.com with SMTP id d15so3516067pjw.1
 for <38148 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 16:13:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=+3+qrfYpn2DJmHkf3gPJsMRVs2o0gJfaTwpkBAMzGDM=;
 b=FS5JYhqVNMS+EAT70WtvpxJKLLnSc4vsCs7PEaT7Yyu+8m9pACia4uZMdAgM/2Kqfv
 lTlbzCRxWO3zBOflJNlH45qxeqgLvBerThqxLn197WtwemSTsHn0zQbJ82ZTDlN2hwvP
 Q5B2X6HMVEKxe8guPC47EZT3Fa6eLd73HYRY5l/hYC97PQcT5+kiZAlR3pDLhq3gHuf1
 qXg6CdPwpT80mI6qpZPj+cD92S3OXJqrDMKOaymoQ+GDcJ8YDLS2eNPZgDqHO2rc4NbM
 n9V4Y4vVN1jxAEt3sAqavQTLzsPJkAzJFmAEazfOxNS7DF52fshNp8oEfh+1h1wAE6lM
 jkng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=+3+qrfYpn2DJmHkf3gPJsMRVs2o0gJfaTwpkBAMzGDM=;
 b=pBY7wrW16XnPiYHkGZJbYc07Szo+nEjgzcll2X8uwtbZnRCUihXcuXzI2D7te2fOgW
 Kq+B3W5lzU0MZueys9gA9SdyH9nA9MpXNYAHnV4uYSOHt89WrAMuv9W537RnPnmoKAYF
 gR4OIt0JSGIY7Lf8Ita+vv+CA/QO1ffP9VPXv7pTc1t/lir6NtO5zQbVCjyfG3A68FWh
 yAPh/QdqJZ1Ge8B4jK1gT2ZC/YAiWbibNBRXYvFLTUmP/bWoX41l/78jUt0u4SdIFOZS
 dNL8ck1+cxgr9mwUYO0JEwTg3IdN0OwTUOxas9+8LLlvu8trKnoTSZAWKu6YH+9pS0DJ
 dwXQ==
X-Gm-Message-State: APjAAAVlwdfEFzH1vmdcHt0sZXIi5ieTkrnD1y0OuPHTihpsOiwZH9y8
 sEhcR1Jy3QlIkt9bhe4II25+eaCdH0w=
X-Google-Smtp-Source: APXvYqwOgq7k5EpUPR+PREHdeg/BvIBU+QgbhT89ME5socplJtCQwzqyyySjjoN8nr7bde+k8gMkwQ==
X-Received: by 2002:a17:90a:ba91:: with SMTP id
 t17mr25826859pjr.74.1578960827829; 
 Mon, 13 Jan 2020 16:13:47 -0800 (PST)
Received: from neutron.hitronhub.home (S010664777da04f43.vf.shawcable.net.
 [70.68.94.152])
 by smtp.gmail.com with ESMTPSA id y5sm5022913pfn.185.2020.01.13.16.13.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Jan 2020 16:13:47 -0800 (PST)
From: Mike Rosset <mike.rosset@HIDDEN>
To: 38148 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: python-pyqt: Improved qprinter.h substitutition
 comment
Date: Mon, 13 Jan 2020 16:13:20 -0800
Message-Id: <20200114001321.26486-1-mike.rosset@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113103304.9093-1-mike.rosset@HIDDEN>
References: <20200113103304.9093-1-mike.rosset@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38148
Cc: mike.rosset@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/qt.scm (python-pyqt)[comments]: And python-pyqtwebengine now
uses mkdir-p instead of a system call.
---
 gnu/packages/qt.scm | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index fcb297e99c..611c38a443 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -1948,8 +1948,8 @@ module provides support functions to the automatically generated code.")
                   ,@%gnu-build-system-modules)
        #:phases
        (modify-phases %standard-phases
-         ;; When building python-pyqtwebengine <qprinter.h> can not be
-         ;; included. Here we substitute the full path to the header in the
+         ;; When building python-pyqtwebengine, <qprinter.h> can not be
+         ;; included.  Here we substitute the full path to the header in the
          ;; store.
          (add-before 'configure 'substitute-source
            (lambda* (#:key inputs  #:allow-other-keys)
@@ -2025,7 +2025,6 @@ contain over 620 classes.")
        ("qtsvg" ,qtsvg)
        ("qtdeclarative" ,qtdeclarative)
        ("qtwebchannel" ,qtwebchannel)
-       ("qtwebengine" ,qtwebengine)
        ("python-pyqt" ,python-pyqt)
        ("qtwebengine" ,qtwebengine)))
     (arguments
@@ -2044,14 +2043,13 @@ contain over 620 classes.")
                      (last (string-split python #\-)))
                     (python-major+minor
                      (string-join
-                      (take (string-split python-version #\.) 2)
-                      "."))
+                      (take (string-split python-version #\.) 2) "."))
                     (lib (string-append out "/lib/python"
                                         python-major+minor
                                         "/site-packages/PyQt5"))
                     (stubs (string-append lib "/PyQt5")))
 
-               (system* "mkdir" "-p" sipdir)
+               (mkdir-p sipdir)
                (invoke "python" "configure.py"
                        "-w"
                        "--no-dist-info"
@@ -2072,8 +2070,7 @@ contain over 620 classes.")
 from pkgutil import extend_path
 __path__ = extend_path(__path__, __name__)
 ")))
-               #t)))
-         )))
+               #t))))))
     (home-page "https://www.riverbankcomputing.com/software/pyqtwebengine/intro")
     (synopsis "Python bindings for QtWebEngine")
     (description
-- 
2.24.1





Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 13 Jan 2020 19:02:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 14:02:43 2020
Received: from localhost ([127.0.0.1]:60080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir4z5-0006ji-J2
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 14:02:43 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:39583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir4z4-0006jX-3u
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 14:02:42 -0500
X-Originating-IP: 92.169.151.76
Received: from bababa (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 4253A1C0002;
 Mon, 13 Jan 2020 19:02:39 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Mike Rosset <mike.rosset@HIDDEN>
Subject: Re: bug#38148: [PATCH 2/2] gnu: qutebrowser: Update to 1.9.0.
In-Reply-To: <877e1vxk3y.fsf@HIDDEN>
References: <20200113103304.9093-1-mike.rosset@HIDDEN>
 <20200113103304.9093-2-mike.rosset@HIDDEN> <87lfqbqvyz.fsf@HIDDEN>
 <877e1vxk3y.fsf@HIDDEN>
Date: Mon, 13 Jan 2020 20:02:39 +0100
Message-ID: <87imlfp4c0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Mike Rosset <mike.rosset@HIDDEN> writes: > I removed the
 man page generation because it is already distributed with > the tarball
 and it caused a fatal error during this phase with 1.9.0. I > figured
 generating the man page was redundant, an [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.197 listed in list.dnswl.org]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 38148
Cc: 38148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Mike Rosset <mike.rosset@HIDDEN> writes: > I removed the
    man page generation because it is already distributed with > the tarball
   and it caused a fatal error during this phase with 1.9.0. I > figured generating
    the man page was redundant, an [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.197 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mike Rosset <mike.rosset@HIDDEN> writes:

> I removed the man page generation because it is already distributed with
> the tarball and it caused a fatal error during this phase with 1.9.0. I
> figured generating the man page was redundant, and we could remove an
> unneeded native input. WDYT?

Sure.  Please add a comment explaining this in the commit message.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4cvs8ACgkQm9z0l6S7
zH8ecgf+KuxBmdwNu0e/D4nGN2Cvo/Stq0hOP7Z42UV+EcMHmMIOmSoJHYsYTGmZ
U9WxdtmfCY3xtbBqZ2F0GrAr2sJfzsBmPSKka/8Lpaek467Lu8r0EfR7O0t5QGVT
X31sqmZV4h6pAjAxGFySb76j/H1XViEhwat3bU4NGh3EINhV6phBPP0WYAlqQcAQ
IuZak91qZFP/7IAy0EXec9Htt3gAk5iNMULrlriRjKuzS2LRi9qZlEiWcVXKjxQ3
S08si7tc9XVNzRgyRDYArHIyJijGWQM/9potDog337OaxcpD/S9K6zDtzOxFOPiM
U0ZbtluVqXBM5esedOul6C3X801ckQ==
=rmmw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 13 Jan 2020 18:54:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 13:54:51 2020
Received: from localhost ([127.0.0.1]:60069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir4rT-0006W2-PQ
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 13:54:51 -0500
Received: from mail-pg1-f175.google.com ([209.85.215.175]:39596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike.rosset@HIDDEN>) id 1ir4rR-0006Vm-Ft
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 13:54:49 -0500
Received: by mail-pg1-f175.google.com with SMTP id b137so5128621pga.6
 for <38148 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 10:54:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=nsygLiapY+ead0B73iYhgptiP4T5fIrMu/AQwVMFsSQ=;
 b=O+tWbi1t/Sgyx2RdEbQP6H2NBSq7U1Z18r/W/GcucJRCjkEuDd7Crz1sJVA6N2Fk8Z
 OHpMGDsGqHIWOmWa2N6sE16vLYE3c1gr5CTShwG7qwe56NIbgwtyRwnemEYz4vv1roTX
 d3Harh9g5UIY/zjnXG/UikcPNuK4JpALhatITh1yl1cxV7wHxAq60nuwk5WfYikjXGP1
 A1afIrLQyg36k5/VAcuIhmRO/IkiIeZvFe1/2kzKAdLGtM2TqOR2KbewvUmCK0xkohUT
 9W/KCyPSKj33L1K271s7lvvUaNU6pMLMXwr7K5LeTi5C2Fg+XYrT4Q2NTH1NvMytZKk0
 Ns+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=nsygLiapY+ead0B73iYhgptiP4T5fIrMu/AQwVMFsSQ=;
 b=unSOZ2kdApKAGXkKzO5tEWCDFlUhI0NldOW+c1cWgBDH6qcdhxbumZo1xz3S//qn2E
 9cv5y24vH40lSvQTthjFxuGPWnlgUg+OICNoMQNejS0+eiiX+59nxMd+l6BYSC8Kp7UL
 R7VyWKtL/2iljDAMj8cjb3owERtjjngzZArGIgqyzRicN/RPRWP+kISL0pOjFMeOH7Dw
 4/9fbJ1S1HBqLhTRb1t18uOuVd7IaFc1W082T2iNRTVKWFwFmiwQ1gnwJNDCupY9Hxug
 r6IRirBAYNi1vUB8yrM1iugwhFQq9SrnSE24forEBgtVqHRxLF5iACEtst8j/QSDZKdz
 kYeQ==
X-Gm-Message-State: APjAAAVu6cUJaVUqkKkUV6sDnrJoWVINyusVoTXRn4Ux3KcB3FyH7Ihw
 Bi57YxjFPrlXSpIh0TlMNvmfr2thR6Y=
X-Google-Smtp-Source: APXvYqzlhE8DnkxUXYu7WPhY1SpRK96w4YCkkIXhSA8VSdj5jmNGeGoWnGO1H8B1NfAymmsBkCSb6g==
X-Received: by 2002:a65:4047:: with SMTP id h7mr22508431pgp.60.1578941683373; 
 Mon, 13 Jan 2020 10:54:43 -0800 (PST)
Received: from neutron (S010664777da04f43.vf.shawcable.net. [70.68.94.152])
 by smtp.gmail.com with ESMTPSA id j125sm14772882pfg.160.2020.01.13.10.54.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Jan 2020 10:54:42 -0800 (PST)
References: <20200113103304.9093-1-mike.rosset@HIDDEN>
 <20200113103304.9093-2-mike.rosset@HIDDEN> <87lfqbqvyz.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mike Rosset <mike.rosset@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#38148: [PATCH 2/2] gnu: qutebrowser: Update to 1.9.0.
In-reply-to: <87lfqbqvyz.fsf@HIDDEN>
Date: Mon, 13 Jan 2020 10:54:41 -0800
Message-ID: <877e1vxk3y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38148
Cc: 38148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Pierre Neidhardt writes:

>
> Why are you removing this?
>
> Other than those few nits, looks good to me!
>

Thanks for looking at this Pierre. I will makes these changes you have
suggested ASAP.


I removed the man page generation because it is already distributed with
the tarball and it caused a fatal error during this phase with 1.9.0. I
figured generating the man page was redundant, and we could remove an
unneeded native input. WDYT?

see

--8<---------------cut here---------------start------------->8---
tar -tf $(guix build -S qutebrowser) | grep 'doc/qutebrowser.1$'
--8<---------------cut here---------------end--------------->8---


Mike




Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 13 Jan 2020 14:20:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 09:20:25 2020
Received: from localhost ([127.0.0.1]:58781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir0Zt-0005cq-Io
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 09:20:25 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:56759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir0Zr-0005ch-4D
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 09:20:23 -0500
X-Originating-IP: 92.169.151.76
Received: from bababa (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id 616AEFF80A;
 Mon, 13 Jan 2020 14:20:21 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Mike Rosset <mike.rosset@HIDDEN>
Subject: Re: bug#38148: [PATCH 2/2] gnu: qutebrowser: Update to 1.9.0.
References: <20200113103304.9093-1-mike.rosset@HIDDEN>
 <20200113103304.9093-2-mike.rosset@HIDDEN>
Date: Mon, 13 Jan 2020 15:20:20 +0100
In-Reply-To: <20200113103304.9093-2-mike.rosset@HIDDEN> (Mike Rosset's
 message of "Mon, 13 Jan 2020 02:33:04 -0800")
Message-ID: <87lfqbqvyz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Mike Rosset <mike.rosset@HIDDEN> writes: > *
 gnu/packages/web-browsers.scm
 (qutebrowser): Update to 1.9.0. > > qutebrowser no longer uses qtwebkit by
 default. It now defaults to qtwebengine. > --- > gnu/packages/web-browsers.scm
 | 40 +++++++ [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.199 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 38148
Cc: 38148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Mike Rosset <mike.rosset@HIDDEN> writes: > * gnu/packages/web-browsers.scm
    (qutebrowser): Update to 1.9.0. > > qutebrowser no longer uses qtwebkit by
    default. It now defaults to qtwebengine. > --- > gnu/packages/web-browsers.scm
    | 40 +++++++ [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.199 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

Mike Rosset <mike.rosset@HIDDEN> writes:

> * gnu/packages/web-browsers.scm (qutebrowser): Update to 1.9.0.
>
> qutebrowser no longer uses qtwebkit by default. It now defaults to qtwebengine.
> ---
>  gnu/packages/web-browsers.scm | 40 ++++++++++++++++++++++++-----------
>  1 file changed, 28 insertions(+), 12 deletions(-)
>
> diff --git a/gnu/packages/web-browsers.scm b/gnu/packages/web-browsers.scm
> index 137dccab81..035fdc1dd9 100644
> --- a/gnu/packages/web-browsers.scm
> +++ b/gnu/packages/web-browsers.scm
> @@ -276,7 +276,7 @@ access.")
>  (define-public qutebrowser
>    (package
>      (name "qutebrowser")
> -    (version "1.8.3")
> +    (version "1.9.0")
>      (source
>       (origin
>         (method url-fetch)
> @@ -285,11 +285,10 @@ access.")
>                             "qutebrowser-" version ".tar.gz"))
>         (sha256
>          (base32
> -         "055zmzk3q0m3hx1742nfy2mdawfllrkvijnbzp1hiv01dj1bxaf8"))))
> +         "1y0yq1qfr6g1s7kf3w2crd0b025dv2dfknhlz3v0001ns3rgwj17"))))
>      (build-system python-build-system)
>      (native-inputs
> -     `(("asciidoc" ,asciidoc)
> -       ("python-attrs" ,python-attrs))) ; for tests
> +     `(("python-attrs" ,python-attrs))) ; for tests
>      (inputs
>       `(("python-colorama" ,python-colorama)
>         ("python-cssutils" ,python-cssutils)
> @@ -298,23 +297,30 @@ access.")
>         ("python-pygments" ,python-pygments)
>         ("python-pypeg2" ,python-pypeg2)
>         ("python-pyyaml" ,python-pyyaml)
> +       ;; FIXME: python-pyqtwebengine needs to come before python-pyqt so
> +       ;; that it's __init__.py is used first.
> +       ("python-pyqtwebengine" ,python-pyqtwebengine)
>         ("python-pyqt" ,python-pyqt)
> -       ("qtwebkit" ,qtwebkit)))
> +       ;; qtwebengine is not a direct input because it's already provided by
> +       ;; python-pyqtwebengine.  It's included so we can wrap
> +       ;; QTWEBENGINEPROCESS_PATH

The phrasing is a bit confusing.  I'd say

"While qtwebengine is already provided by python-pyqtwebengine, it's
included here so we can wrap QTWEBENGINEPROCESS_PATH."

> +       ("qtwebengine" ,qtwebengine)))
>      (arguments
> -     `(;; FIXME: Tests have been added to Qutebrowser. But they currently fail on
> -       ;; trying to locate QtWebEngine, and run it on a specific display.
> -       ;; There does not seem to be a trivial way to suppress this test.
> -       ;; Either fix this, or wait for a liberated QtWebEngine to make into GNU Guix.
> -       ;; Change this according to <https://bugs.gnu.org/35866>.
> +     `( ;; FIXME: With the existance of qtwebengine, tests can now run.  But
> +       ;; they are still disabled because test phase hangs. It's not readily
> +       ;; apparent as to why

Missing period.

>         #:tests? #f
>         #:phases
>         (modify-phases %standard-phases
> +         (add-before 'check 'set-env-offscreen
> +           (lambda _
> +             (setenv "QT_QPA_PLATFORM" "offscreen")
> +             #t))
>           (add-after 'install 'install-more
>             (lambda* (#:key outputs #:allow-other-keys)
>               (let* ((out (assoc-ref outputs "out"))
>                      (app (string-append out "/share/applications"))
>                      (hicolor (string-append out "/share/icons/hicolor")))
> -               (invoke "a2x" "-f" "manpage" "doc/qutebrowser.1.asciidoc")

Why are you removing this?

Other than those few nits, looks good to me!

Cheers!

-- 
Pierre Neidhardt
https://ambrevar.xyz/




Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 13 Jan 2020 14:16:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 09:16:19 2020
Received: from localhost ([127.0.0.1]:58777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir0Vu-0005VO-Tn
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 09:16:19 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:38755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir0Vs-0005VC-OB
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 09:16:17 -0500
X-Originating-IP: 92.169.151.76
Received: from bababa (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id E356140013;
 Mon, 13 Jan 2020 14:16:14 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Mike Rosset <mike.rosset@HIDDEN>
Subject: Re: bug#38148: [PATCH 1/2] gnu: Add python-pyqtwebengine.
References: <20191109100530.zdfrewfmengq7pud@HIDDEN>
 <20200113103304.9093-1-mike.rosset@HIDDEN>
Date: Mon, 13 Jan 2020 15:16:14 +0100
In-Reply-To: <20200113103304.9093-1-mike.rosset@HIDDEN> (Mike Rosset's
 message of "Mon, 13 Jan 2020 02:33:03 -0800")
Message-ID: <87o8v7qw5t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Thanks for the patches,
 comments below: Mike Rosset <mike.rosset@HIDDEN>
 writes: > * gnu/packages/qt.scm (python-pyqtwebengine): New variable. > ---
 > gnu/packages/qt.scm | 97 +++++++++++++++++++++++++++++++++++++++++++++
 > 1 file changed, 97 insertions(+) > > diff --git a/gnu/pac [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.194 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.194 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 38148
Cc: 38148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thanks for the patches, comments below: Mike Rosset <mike.rosset@HIDDEN>
    writes: > * gnu/packages/qt.scm (python-pyqtwebengine): New variable. > ---
    > gnu/packages/qt.scm | 97 +++++++++++++++++++++++++++++++++++++++++++++
   > 1 file changed, 97 insertions(+) > > diff --git a/gnu/pac [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: configure.py]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.194 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

Thanks for the patches, comments below:

Mike Rosset <mike.rosset@HIDDEN> writes:

> * gnu/packages/qt.scm (python-pyqtwebengine): New variable.
> ---
>  gnu/packages/qt.scm | 97 +++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 97 insertions(+)
>
> diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
> index 514577678e..fcb297e99c 100644
> --- a/gnu/packages/qt.scm
> +++ b/gnu/packages/qt.scm
> @@ -38,6 +38,7 @@
>    #:use-module (guix build-system cmake)
>    #:use-module (guix build-system gnu)
>    #:use-module (guix build-system trivial)
> +  #:use-module (guix build-system python)
>    #:use-module (guix packages)
>    #:use-module (guix deprecation)
>    #:use-module (guix utils)
> @@ -1947,6 +1948,17 @@ module provides support functions to the automatically generated code.")
>                    ,@%gnu-build-system-modules)
>         #:phases
>         (modify-phases %standard-phases
> +         ;; When building python-pyqtwebengine <qprinter.h> can not be

Comma after python-pyqtwebengine helps with readability.

> +         ;; included. Here we substitute the full path to the header in the

Double-space after period.

> +         ;; store.
> +         (add-before 'configure 'substitute-source
> +           (lambda* (#:key inputs  #:allow-other-keys)
> +             (let* ((qtbase (assoc-ref inputs "qtbase"))
> +                    (qtprinter.h (string-append "\"" qtbase "/include/qt5/QtPrintSupport/qprinter.h\"")))
> +               (substitute* "sip/QtPrintSupport/qprinter.sip"
> +                 (("<qprinter.h>")
> +                  qtprinter.h))
> +               #t)))
>           (replace 'configure
>             (lambda* (#:key inputs outputs #:allow-other-keys)
>               (let* ((out (assoc-ref outputs "out"))
> @@ -1986,6 +1998,91 @@ framework.  The bindings are implemented as a set of Python modules and
>  contain over 620 classes.")
>      (license license:gpl3)))

Please apply the above pyqt change to a separate commit.

> +(define-public python-pyqtwebengine
> +  (package
> +    (name "python-pyqtwebengine")
> +    (version "5.12.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (string-append
> +             "https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/"
> +            version "/PyQtWebEngine_gpl-" version ".tar.gz"))
> +       (sha256
> +        (base32
> +         "0wylkd7fh2g27y3710rpxmj9wx0wpi3z7qbv6khiddm15rkh81w6"))))
> +    (build-system gnu-build-system)
> +    (native-inputs
> +     `(("python" ,python)
> +       ("python-sip" ,python-sip)
> +       ;; qtbase is required for qmake
> +       ("qtbase" ,qtbase)))
> +    (inputs
> +     `(("python" ,python-wrapper)
> +       ("python-sip" ,python-sip)
> +       ("python-pyqt" ,python-pyqt)
> +       ("qtbase" ,qtbase)
> +       ("qtsvg" ,qtsvg)
> +       ("qtdeclarative" ,qtdeclarative)
> +       ("qtwebchannel" ,qtwebchannel)
> +       ("qtwebengine" ,qtwebengine)
> +       ("python-pyqt" ,python-pyqt)
> +       ("qtwebengine" ,qtwebengine)))

qbwebengine duplicate.

> +    (arguments
> +     `(#:modules ((srfi srfi-1)
> +                  ,@%gnu-build-system-modules)
> +       #:phases
> +       (modify-phases %standard-phases
> +         (replace 'configure
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             (let* ((out (assoc-ref outputs "out"))
> +                    (sipdir (string-append out "/share/sip"))
> +                    (pyqt-sipdir (string-append
> +                                  (assoc-ref inputs "python-pyqt") "/share/sip"))
> +                    (python (assoc-ref inputs "python"))
> +                    (python-version
> +                     (last (string-split python #\-)))
> +                    (python-major+minor
> +                     (string-join
> +                      (take (string-split python-version #\.) 2)
> +                      "."))

Use version-major+minor from (guix utils) instead?

> +                    (lib (string-append out "/lib/python"
> +                                        python-major+minor
> +                                        "/site-packages/PyQt5"))
> +                    (stubs (string-append lib "/PyQt5")))
> +
> +               (system* "mkdir" "-p" sipdir)

(mkdir-p sipdir)

> +               (invoke "python" "configure.py"
> +                       "-w"
> +                       "--no-dist-info"
> +                       "--destdir" lib
> +                       "--no-qsci-api"
> +                       "--stubsdir" stubs
> +                       "--sipdir" sipdir
> +                       "--pyqt-sipdir" pyqt-sipdir))))
> +         ;; Because this has a different prefix then python-pyqt then we need

"then python-pyqt" -> "than python-pyqt".

> +         ;; to make this a namespace of it's own

Missing period.

-- 
Pierre Neidhardt
https://ambrevar.xyz/




Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 13 Jan 2020 10:45:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 05:45:36 2020
Received: from localhost ([127.0.0.1]:58708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqxDz-0006Wb-1a
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 05:45:36 -0500
Received: from mail-pf1-f193.google.com ([209.85.210.193]:39003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike.rosset@HIDDEN>) id 1iqxDw-0006WL-Qo
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 05:45:33 -0500
Received: by mail-pf1-f193.google.com with SMTP id q10so4697631pfs.6
 for <38148 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 02:45:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=SU77r1oqd3NleJZ+y6MmSTMx1D1Oawmk+1awSa1CBiE=;
 b=PQe0yjF/srYnq1Z8v4zECNgVMoTCsHCotbKVKBs2BgRotcGPCgFdlL/58f8I97IsQ1
 uyIVrK57jFIaD5uXGLoyVKiRyoCMF9LseSqa0DZJDknk8fBcfSwdKM9Lulk0DDqmZ5Vq
 2dvere4pU64xtlmm6oQB0NTB6aRUlO7RSMP9gJaRxb3CVz/z8A9wCoF2QAt+e42HKnnH
 mkgTxlUdY7AxV8gqZatWuvnaPnI0njzzO5YKob8/gX/HY40sQaz2Jwtv5K+0UWGlLG6W
 XvhN8kZQ6rpKFfzpQtH+/x09nzFtXPo6VglgUIkfTtZG471nbAo5MVUkFke7bZQ1zGWJ
 C7zA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=SU77r1oqd3NleJZ+y6MmSTMx1D1Oawmk+1awSa1CBiE=;
 b=XdXL4NDRXoYqTg1cweO+SHPca4cLkO5oUJYmNaJ2RkWbpVJjQ3hvIJ/0X/EpzVb6K5
 HmZPpwAy6DGWH2k439lM2FcIxETqXjQUhvHHB947CVl/uYblHL57uha9c8+3MzIlvf2v
 8kse/hqZHtc6lh4AHRD9ITWn0I8vHieqp36CTDOc4kfa4WD31bBSVvDDOfsvZGWiCPzU
 g3wUlnHHpSyD+2TmwNnZsnMYsb9e0Ed828HHfJubBkwgY44TUMgJ50bDIuuRCtf3EiuJ
 YWs9KUeDEoaVRXEyaLirLSvc/UiIl8113sRAtj1iDXQesXGE+Ma4P4EzysXeNYYZPEla
 ThlA==
X-Gm-Message-State: APjAAAWiugrBrmJA6CsBWLbKUwzF2NHMb7+0yPYpBTHJaYzyY/vGIwxd
 cwoskG+1m0Y088rPwAQBnTw=
X-Google-Smtp-Source: APXvYqxSRBLXQqtvC1miLfUOiikKo3j2hEnCLkY7MtsE+8yTAaOk0luJPAhKrn9UslQb93qfYHC1yA==
X-Received: by 2002:a63:7843:: with SMTP id t64mr20034111pgc.144.1578912326931; 
 Mon, 13 Jan 2020 02:45:26 -0800 (PST)
Received: from neutron (S010664777da04f43.vf.shawcable.net. [70.68.94.152])
 by smtp.gmail.com with ESMTPSA id h128sm14218085pfe.172.2020.01.13.02.45.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Jan 2020 02:45:26 -0800 (PST)
References: <20200113103304.9093-1-mike.rosset@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Mike Rosset <mike.rosset@HIDDEN>
To: 38148 <at> debbugs.gnu.org
Subject: Re: [PATCH 1/2] gnu: Add python-pyqtwebengine.
In-reply-to: <20200113103304.9093-1-mike.rosset@HIDDEN>
Date: Mon, 13 Jan 2020 02:45:14 -0800
Message-ID: <87o8v7eith.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38148
Cc: mike.rosset@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Florian

With the addition of QtWebengine into Guix. I've created some patches to
upgrade qutebrowser to 1.9.0 and to use QtWebengine by default.

And Guix is now using Qt 5.12.6 which is not to bad.

I hope this leads to less error reports for you. Once this gets merged
in.

Regards,

Mike




Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 13 Jan 2020 10:33:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 05:33:25 2020
Received: from localhost ([127.0.0.1]:58702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqx2C-0006Dz-Pe
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 05:33:25 -0500
Received: from mail-pl1-f181.google.com ([209.85.214.181]:47077)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike.rosset@HIDDEN>) id 1iqx2A-0006Di-Ry
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 05:33:23 -0500
Received: by mail-pl1-f181.google.com with SMTP id y8so3655502pll.13
 for <38148 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 02:33:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=GCSaglouTTPZWpQJdcYZgjucfIRcKDwbX4NymdvbvGg=;
 b=ffyzUh85zbER0asmh8RX9T6V+Pk8G7VpTRzJFAVe+YMzJooOlV9ZdbqYCgYof95HeH
 EkNEW7g/GqoLtvfT2o8Q4JfxW6TtmnLR61yfWeOStHgc33/SBiW3POPoISxlGfzYsa/f
 B1V+sPR0bwnNGI+I9eS7ue8a/ZjzboFf1tlP8LOPGE9RVgv6POoutTwDM/XIz08uCLEf
 mKkedHtLch8eV1olHz9PFofi9cwFmtNB4Wqzbz5uLmeRG8ypuAgnzhaeec5+2xTkuKN4
 y4GeteJUedX/r3bgUJrIXitKYrOG7gIj5sHiZkjO0y/V+5ay3LpvETujYSZN29funLt5
 GUOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=GCSaglouTTPZWpQJdcYZgjucfIRcKDwbX4NymdvbvGg=;
 b=tqGHCZ76asxEvSRoiitPLrmk3lvZoHy3nBmx4tTX9dJUEamq9c/PPD1fjZSZWNPOoY
 OC85TeCjUYsid0TExXvJsmuWH7lVzrVqOGci37zMh94SLe9bwh3O80YAauKAf12MZPX+
 SCr2BdN3MnKYLKC5wSGqwLViGR7GLsPy3y3esV2EkwI3iug3QTH+MO5gpAnqHdic3gHQ
 faNaTh61rwalrVeFKjKm4Vqf5Ohi+SZ93GvmBxGOlkUrw2ZpDYMSQ/X/q1psHGEZ0fOw
 n3iGpFgNDUj+4GzHluL9G7OuPHOH1yMvTzly4irkd/Dke7YArMEi9aaWtQ5fn/q9MgAU
 IjXA==
X-Gm-Message-State: APjAAAVy7U9LLAjNVIKM0EEqBjQgdT674kiI7SAMO1kaXjckp1+jnwuU
 JIR1bNxeK5QRWlF8Gcmtgi5j7s64
X-Google-Smtp-Source: APXvYqzGqS631+zptmpPp0Ib7V0IGjFGeIzRly3jY/OFOdPZP/Eyk6UEM66NlAH8qW3bF7CEGAvsrQ==
X-Received: by 2002:a17:902:b48e:: with SMTP id
 y14mr13387405plr.260.1578911596680; 
 Mon, 13 Jan 2020 02:33:16 -0800 (PST)
Received: from neutron.hitronhub.home (S010664777da04f43.vf.shawcable.net.
 [70.68.94.152])
 by smtp.gmail.com with ESMTPSA id u10sm13036776pgg.41.2020.01.13.02.33.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Jan 2020 02:33:16 -0800 (PST)
From: Mike Rosset <mike.rosset@HIDDEN>
To: 38148 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: qutebrowser: Update to 1.9.0.
Date: Mon, 13 Jan 2020 02:33:04 -0800
Message-Id: <20200113103304.9093-2-mike.rosset@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113103304.9093-1-mike.rosset@HIDDEN>
References: <20200113103304.9093-1-mike.rosset@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38148
Cc: mike.rosset@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/web-browsers.scm (qutebrowser): Update to 1.9.0.

qutebrowser no longer uses qtwebkit by default. It now defaults to qtwebengine.
---
 gnu/packages/web-browsers.scm | 40 ++++++++++++++++++++++++-----------
 1 file changed, 28 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/web-browsers.scm b/gnu/packages/web-browsers.scm
index 137dccab81..035fdc1dd9 100644
--- a/gnu/packages/web-browsers.scm
+++ b/gnu/packages/web-browsers.scm
@@ -276,7 +276,7 @@ access.")
 (define-public qutebrowser
   (package
     (name "qutebrowser")
-    (version "1.8.3")
+    (version "1.9.0")
     (source
      (origin
        (method url-fetch)
@@ -285,11 +285,10 @@ access.")
                            "qutebrowser-" version ".tar.gz"))
        (sha256
         (base32
-         "055zmzk3q0m3hx1742nfy2mdawfllrkvijnbzp1hiv01dj1bxaf8"))))
+         "1y0yq1qfr6g1s7kf3w2crd0b025dv2dfknhlz3v0001ns3rgwj17"))))
     (build-system python-build-system)
     (native-inputs
-     `(("asciidoc" ,asciidoc)
-       ("python-attrs" ,python-attrs))) ; for tests
+     `(("python-attrs" ,python-attrs))) ; for tests
     (inputs
      `(("python-colorama" ,python-colorama)
        ("python-cssutils" ,python-cssutils)
@@ -298,23 +297,30 @@ access.")
        ("python-pygments" ,python-pygments)
        ("python-pypeg2" ,python-pypeg2)
        ("python-pyyaml" ,python-pyyaml)
+       ;; FIXME: python-pyqtwebengine needs to come before python-pyqt so
+       ;; that it's __init__.py is used first.
+       ("python-pyqtwebengine" ,python-pyqtwebengine)
        ("python-pyqt" ,python-pyqt)
-       ("qtwebkit" ,qtwebkit)))
+       ;; qtwebengine is not a direct input because it's already provided by
+       ;; python-pyqtwebengine.  It's included so we can wrap
+       ;; QTWEBENGINEPROCESS_PATH
+       ("qtwebengine" ,qtwebengine)))
     (arguments
-     `(;; FIXME: Tests have been added to Qutebrowser. But they currently fail on
-       ;; trying to locate QtWebEngine, and run it on a specific display.
-       ;; There does not seem to be a trivial way to suppress this test.
-       ;; Either fix this, or wait for a liberated QtWebEngine to make into GNU Guix.
-       ;; Change this according to <https://bugs.gnu.org/35866>.
+     `( ;; FIXME: With the existance of qtwebengine, tests can now run.  But
+       ;; they are still disabled because test phase hangs. It's not readily
+       ;; apparent as to why
        #:tests? #f
        #:phases
        (modify-phases %standard-phases
+         (add-before 'check 'set-env-offscreen
+           (lambda _
+             (setenv "QT_QPA_PLATFORM" "offscreen")
+             #t))
          (add-after 'install 'install-more
            (lambda* (#:key outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
                     (app (string-append out "/share/applications"))
                     (hicolor (string-append out "/share/icons/hicolor")))
-               (invoke "a2x" "-f" "manpage" "doc/qutebrowser.1.asciidoc")
                (install-file "doc/qutebrowser.1"
                              (string-append out "/share/man/man1"))
                (for-each
@@ -331,11 +337,21 @@ access.")
                  (("Exec=qutebrowser")
                   (string-append "Exec=" out "/bin/qutebrowser")))
                (install-file "misc/org.qutebrowser.qutebrowser.desktop" app)
+               #t)))
+         (add-after 'wrap 'wrap-qt-process-path
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin (string-append out "/bin/qutebrowser"))
+                    (qt-process-path (string-append
+                                      (assoc-ref inputs "qtwebengine")
+                                      "/lib/qt5/libexec/QtWebEngineProcess")))
+               (wrap-program bin
+                 `("QTWEBENGINEPROCESS_PATH" ":" prefix (,qt-process-path)))
                #t))))))
     (home-page "https://qutebrowser.org/")
     (synopsis "Minimal, keyboard-focused, vim-like web browser")
     (description "qutebrowser is a keyboard-focused browser with a minimal
-GUI.  It is based on PyQt5 and QtWebKit.")
+GUI.  It is based on PyQt5 and QtWebEngine.")
     (license license:gpl3+)))
 
 (define-public vimb
-- 
2.24.1





Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 13 Jan 2020 10:33:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 05:33:16 2020
Received: from localhost ([127.0.0.1]:58699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqx24-0006Da-Ek
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 05:33:16 -0500
Received: from mail-pj1-f41.google.com ([209.85.216.41]:50292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike.rosset@HIDDEN>) id 1iqx22-0006DN-VZ
 for 38148 <at> debbugs.gnu.org; Mon, 13 Jan 2020 05:33:15 -0500
Received: by mail-pj1-f41.google.com with SMTP id r67so3990367pjb.0
 for <38148 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 02:33:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=tlxjZ4iVHP8bMKHCi+XN7Ex8eMLrhDoNxRAydtn2lmI=;
 b=APoxiWN0vG5OJPcCh6+Wc+1nVSND9m3WnClg4JUHqcMDt2ZnUUrNxZc8QX6IvN/G+4
 omLGv0ckkoEZlVRRd5rccXR5YKGLO3C2fJhjUapG/G/WYNj4QdY7dJtdxaHY+4NktoAG
 zVXxvTEv4JYiIILW8XeIG0zY9aeVv/qWAqx1FzCS2vuHwn+0kVKKI01OvzERS0W9T1QM
 s/2ooIodBJsWGvijCqWkEHmENb7A9ZvbjD7y9P/jUZp08Y6JS9LzwMR64etegPHJ610O
 9XLjt9sMdQsZbATIdYLDe3xF1ZRDgbpYZV5ojH6QjZTmsBswLRmchhAJZYPFE8hlZRiT
 5UtA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=tlxjZ4iVHP8bMKHCi+XN7Ex8eMLrhDoNxRAydtn2lmI=;
 b=azlhivUbjnWrl0kIxNrQRqX3KrKYdoUen8Q8FfHatSEhs6krRiVL2IrULM6s6WyU5Z
 yyQlcEuGGT3oWI1q99l/isoxYRxPLFuHQrnATdGeNP4ew8uunAKLj2o2ZQEWzbpj7KEy
 A/swjmVAzJiOpKZcg5i/GQGbY4Cr8l7NscX67MTH9AtI2km0WRRzWY0M3BtT+zHldSlq
 wYV2f58EWfKQFZvPXONIED5XxJZnk3zMiq01w+6eBojYUfZkE5dBQrR4iRQVisfAzl9A
 QqlQUooAXvihw38LKCbKiRGB720CWP83TmrzyJlkLG+/9KUQRNvuyyr795zxfToS4pFL
 d5Lg==
X-Gm-Message-State: APjAAAW/SLPvRXOYg0Fj6F5kScsdDP6Rc96WJMlMWBzdO62u82c4bfTR
 fZ9K4XsrsmUB3n4sAP7qHQRguc57
X-Google-Smtp-Source: APXvYqy64y3WGgacN3hhof2MXOx28d2f7nzn5D13gdEU9lbje8xbXUyPA8uzcu5Ac0XeV5b0GBQkbw==
X-Received: by 2002:a17:902:b186:: with SMTP id
 s6mr13622292plr.333.1578911588653; 
 Mon, 13 Jan 2020 02:33:08 -0800 (PST)
Received: from neutron.hitronhub.home (S010664777da04f43.vf.shawcable.net.
 [70.68.94.152])
 by smtp.gmail.com with ESMTPSA id u10sm13036776pgg.41.2020.01.13.02.33.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Jan 2020 02:33:07 -0800 (PST)
From: Mike Rosset <mike.rosset@HIDDEN>
To: 38148 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: Add python-pyqtwebengine.
Date: Mon, 13 Jan 2020 02:33:03 -0800
Message-Id: <20200113103304.9093-1-mike.rosset@HIDDEN>
X-Mailer: git-send-email 2.24.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38148
Cc: mike.rosset@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/qt.scm (python-pyqtwebengine): New variable.
---
 gnu/packages/qt.scm | 97 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 97 insertions(+)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 514577678e..fcb297e99c 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -38,6 +38,7 @@
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system trivial)
+  #:use-module (guix build-system python)
   #:use-module (guix packages)
   #:use-module (guix deprecation)
   #:use-module (guix utils)
@@ -1947,6 +1948,17 @@ module provides support functions to the automatically generated code.")
                   ,@%gnu-build-system-modules)
        #:phases
        (modify-phases %standard-phases
+         ;; When building python-pyqtwebengine <qprinter.h> can not be
+         ;; included. Here we substitute the full path to the header in the
+         ;; store.
+         (add-before 'configure 'substitute-source
+           (lambda* (#:key inputs  #:allow-other-keys)
+             (let* ((qtbase (assoc-ref inputs "qtbase"))
+                    (qtprinter.h (string-append "\"" qtbase "/include/qt5/QtPrintSupport/qprinter.h\"")))
+               (substitute* "sip/QtPrintSupport/qprinter.sip"
+                 (("<qprinter.h>")
+                  qtprinter.h))
+               #t)))
          (replace 'configure
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
@@ -1986,6 +1998,91 @@ framework.  The bindings are implemented as a set of Python modules and
 contain over 620 classes.")
     (license license:gpl3)))
 
+(define-public python-pyqtwebengine
+  (package
+    (name "python-pyqtwebengine")
+    (version "5.12.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/"
+            version "/PyQtWebEngine_gpl-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0wylkd7fh2g27y3710rpxmj9wx0wpi3z7qbv6khiddm15rkh81w6"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("python" ,python)
+       ("python-sip" ,python-sip)
+       ;; qtbase is required for qmake
+       ("qtbase" ,qtbase)))
+    (inputs
+     `(("python" ,python-wrapper)
+       ("python-sip" ,python-sip)
+       ("python-pyqt" ,python-pyqt)
+       ("qtbase" ,qtbase)
+       ("qtsvg" ,qtsvg)
+       ("qtdeclarative" ,qtdeclarative)
+       ("qtwebchannel" ,qtwebchannel)
+       ("qtwebengine" ,qtwebengine)
+       ("python-pyqt" ,python-pyqt)
+       ("qtwebengine" ,qtwebengine)))
+    (arguments
+     `(#:modules ((srfi srfi-1)
+                  ,@%gnu-build-system-modules)
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'configure
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (sipdir (string-append out "/share/sip"))
+                    (pyqt-sipdir (string-append
+                                  (assoc-ref inputs "python-pyqt") "/share/sip"))
+                    (python (assoc-ref inputs "python"))
+                    (python-version
+                     (last (string-split python #\-)))
+                    (python-major+minor
+                     (string-join
+                      (take (string-split python-version #\.) 2)
+                      "."))
+                    (lib (string-append out "/lib/python"
+                                        python-major+minor
+                                        "/site-packages/PyQt5"))
+                    (stubs (string-append lib "/PyQt5")))
+
+               (system* "mkdir" "-p" sipdir)
+               (invoke "python" "configure.py"
+                       "-w"
+                       "--no-dist-info"
+                       "--destdir" lib
+                       "--no-qsci-api"
+                       "--stubsdir" stubs
+                       "--sipdir" sipdir
+                       "--pyqt-sipdir" pyqt-sipdir))))
+         ;; Because this has a different prefix then python-pyqt then we need
+         ;; to make this a namespace of it's own
+         (add-after 'install 'make-namespace
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((__init__.py (string-append
+                                  (assoc-ref outputs "out")
+                                  "/lib/python3.7/site-packages/PyQt5/__init__.py")))
+               (with-output-to-file __init__.py
+                 (lambda _ (display "
+from pkgutil import extend_path
+__path__ = extend_path(__path__, __name__)
+")))
+               #t)))
+         )))
+    (home-page "https://www.riverbankcomputing.com/software/pyqtwebengine/intro")
+    (synopsis "Python bindings for QtWebEngine")
+    (description
+     "PyQtWebEngine is a set of Python bindings for The Qt Company's Qt
+WebEngine libraries.  The bindings sit on top of PyQt5 and are implemented as a
+set of three modules.  Prior to v5.12 these bindings were part of PyQt
+itself.")
+    (license license:gpl3)))
+
 ;; XXX: This is useful because qtwebkit does not build reliably at this time.
 ;; Ultimately, it would be nicer to have a more modular set of python-pyqt-*
 ;; packages that could be used together.
-- 
2.24.1





Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 10 Nov 2019 02:32:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 21:32:52 2019
Received: from localhost ([127.0.0.1]:50536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTd23-00062X-T6
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 21:32:52 -0500
Received: from imta-35.everyone.net ([216.200.145.35]:44198
 helo=imta-38.everyone.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1iTd21-00062P-ID
 for 38148 <at> debbugs.gnu.org; Sat, 09 Nov 2019 21:32:50 -0500
Received: from pps.filterd (omta001.sj2.proofpoint.com [127.0.0.1])
 by imta-38.everyone.net (8.16.0.27/8.16.0.27) with SMTP id xAA2WHLT021256;
 Sat, 9 Nov 2019 18:32:47 -0800
X-Eon-Originating-Account: akprTc-jZ5cqmDvvte5VLwgVqX7j5v1zpLg_YOKTpSU
X-Eon-Dm: m0116952.ppops.net
Received: by m0116952.mta.everyone.net (EON-AUTHRELAY2 - 32d0d199)
 id m0116952.5dc217cf.23e861; Sat, 9 Nov 2019 18:32:45 -0800
X-Eon-Sig: AQMHrIJdx3bNJXT9cAIAAAAD,1f7abcd10b99894047a0fa22ba81e138
X-Eip: FxVFvvnB3BvuKXIb1meMdfvlBj3LnY1y1M3tb6pzKcU
Date: Sat, 9 Nov 2019 18:32:36 -0800
From: Bengt Richter <bokr@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#38148: Guix packages old/broken version of qutebrowser
Message-ID: <20191110023236.GA900@HIDDEN>
References: <20191109100530.zdfrewfmengq7pud@HIDDEN>
 <87ftix9eqa.fsf@nckx>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87ftix9eqa.fsf@nckx>
User-Agent: Mutt/1.12.1 (2019-06-15)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2019-11-09_09:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1034
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1910280000
 definitions=main-1911100024
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 38148
Cc: Florian Bruhin <me@HIDDEN>, 38148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Bengt Richter <bokr@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On +2019-11-09 17:49:49 +0100, Tobias Geerinckx-Rice via Bug reports for GNU Guix wrote:
> Florian,
> 
> [I'm not a regular qutebrowser user, nor maintainer — I don't think we have
> one.]
> 
> Florian Bruhin 写道:
> > I'm the upstream author of qutebrowser - it looks like Guix currently
> > packages
> > qutebrowser 0.11.0: https://guix.gnu.org/packages/qutebrowser-0.11.0/
> > 
> > That version is very outdated (July 2017, there have been 28 new
> > releases since
> > then). It has various known security issues, but currently it just
> > crashes
> > outright, because such an old version isn't compatible with Qt 5.11
> > which is
> > packaged in Guix.
> > 
> > That results in me getting crash reports around once per week - at this
> > point,
> > it'd probably be better to not package qutebrowser at all, seeing that
> > nobody
> > seems to maintain that package for a long time now.
> 
> Thank you for letting us know.  My apologies for the noise from these
> useless crash reports.
> 
> Is there a supported way to replace the default bug report URL with our own?
> 
> If not, I could patch qutebrowser to pop up a dialogue with our bug tracker
> (e-mail) address instead.  The crash report itself would likely be lost.
> 
> I've tried qutebrowser 1.8.1 with QtWebKit and it runs, but then freezes (@
> 0% CPU) after some minutes.  I had to SIGKILL it. However, so does 0.11.0.
> 
> I'll try to get it to run, and hopefully the state of qutebrowser's
> dependencies in Guix will improve as well.
> 
> Kind regards,
> 
> T G-R

On reading the above, I wonder if we can invent a useful measure of
"runs" vs "works" vs "crashes" that could automatically be visible
in "guix show whatever-package".

I mean, there is a huge difference in confidence (at least on my part :)
between knowing that two developers have successfuly built and run a package
for the first time after refurbishing some orphan package vs knowing that
a thousand users have been using a tool many times daily for months without problems.

Could packages be instrumented with a simple invocation-with-normal/abnormal-exit
counter intialized on install, that could be voluntarily submitted to
some guix email addrress for automatic reliability-score update that
guix show whatever-package then accesses and presents?

Some finer-grain reporting would problably be desirable for packages that
install many executables.

A service could be enabled to send reports periodically for a list of packages
in use by a particular user, at the user's opt-in option of course.

I guess you'd have to have some guard against robo-shill-bots pumping
successful-use scores, but WDYT of the general idea?

Maybe also a count of historical CVE's against any inputs to the package build?
Well, the imagination rambles, but maybe something simple to start with could
test the usefulness?
-- 
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at 38148 <at> debbugs.gnu.org:


Received: (at 38148) by debbugs.gnu.org; 9 Nov 2019 16:50:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 11:50:00 2019
Received: from localhost ([127.0.0.1]:50202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTTw0-00069V-GH
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 11:50:00 -0500
Received: from tobias.gr ([80.241.217.52]:53118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iTTvx-00069J-WA
 for 38148 <at> debbugs.gnu.org; Sat, 09 Nov 2019 11:49:59 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id 9d6804d9;
 Sat, 9 Nov 2019 16:49:55 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=wcH0PetOejGPaANQ3FkKKc
 fV1E3vpJU3JOt/TxpyAQQ=; b=KopZWH/BpZbM6UdPKTpgVqNhQ6UCpV6fkZEgJg
 NRyfHuK9rzUwjzBZdWIzoGvC9ACW0oYSbNdDE0rd3BDlahkG+P1VOi1F2ph7mhq/
 EKT9Nxp7eAC8XFApLyptlCkvcfDnoXqJ08AwIeeB//C/eYfFtnjb30KQxGS3mzv0
 Tgza7lQfcLka3fJ/vTPX55NTQurz/FKz3eNMFYzfx/zWByiWHlj3GYXzkagXevYB
 Z0hNykoZWaBlztylrmYvWVZ0TDsa3nhzv2UozgU8dwAteyM9+0e6Njru5NmNvLeA
 uhB/9c8REgD1UH7Qhk8TNBkJSe1IKz2GK0fCac7QPa9odC8A==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 09e00694
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sat, 9 Nov 2019 16:49:54 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Florian Bruhin <me@HIDDEN>
Subject: Re: bug#38148: Guix packages old/broken version of qutebrowser
References: <20191109100530.zdfrewfmengq7pud@HIDDEN>
In-reply-to: <20191109100530.zdfrewfmengq7pud@HIDDEN>
Date: Sat, 09 Nov 2019 17:49:49 +0100
Message-ID: <87ftix9eqa.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38148
Cc: 38148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Florian,

[I'm not a regular qutebrowser user, nor maintainer =E2=80=94 I don't=20
think we have one.]

Florian Bruhin =E5=86=99=E9=81=93=EF=BC=9A
> I'm the upstream author of qutebrowser - it looks like Guix=20
> currently packages
> qutebrowser 0.11.0:=20
> https://guix.gnu.org/packages/qutebrowser-0.11.0/
>
> That version is very outdated (July 2017, there have been 28 new=20
> releases since
> then). It has various known security issues, but currently it=20
> just crashes
> outright, because such an old version isn't compatible with Qt=20
> 5.11 which is
> packaged in Guix.
>
> That results in me getting crash reports around once per week -=20
> at this point,
> it'd probably be better to not package qutebrowser at all,=20
> seeing that nobody
> seems to maintain that package for a long time now.

Thank you for letting us know.  My apologies for the noise from=20
these useless crash reports.

Is there a supported way to replace the default bug report URL=20
with our own?

If not, I could patch qutebrowser to pop up a dialogue with our=20
bug tracker (e-mail) address instead.  The crash report itself=20
would likely be lost.

I've tried qutebrowser 1.8.1 with QtWebKit and it runs, but then=20
freezes (@ 0% CPU) after some minutes.  I had to SIGKILL it.=20
However, so does 0.11.0.

I'll try to get it to run, and hopefully the state of=20
qutebrowser's dependencies in Guix will improve as well.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl3G7i0ACgkQ2Imw8BjF
STwmCg//areiHAe++JpbOXDi5CjWsuZHFDd+HNqCyWZLMRXVGg3CO113YZIaFQcU
5FXvBDjlzPcT9chOIt1GsBkTWRdrDPRkYX4WNBFcJcZrfKLLsfHzFWHucCNKZbFB
lkSE1sVClH9LpimJghEQ8+HkSSwhOe0CNmfjj1Dj4tVKiVXDv1k+zaDgoX4NN8FP
eAHjLUmuhci7PL4Dd5mk6hA8jIt/P8w/FUXQzhaXs5t7wxdlwY4vmTQzhA6UkBQU
BkrpUWwzl5xZt3H6OGYXLfpto2ajDKLuXfdvCJTyfhlpbB2+7837UEAiaNhVWGnZ
cCJvM4Ibl7M+QJdYJBUQlNQlirwlCyzO8xdX5TJvtI6CsQRNe3V2qet0ynAWjMAS
ykU/2aGYvZuTQ7TfXrdl485uMcAfAzgWvy87cLjzcMryv1Ca078/Ohp01IX3mz3j
juL/2lwJ0yhRv5HtSQ4bV7jffnpR/64ZzRNp1dZyrge7RkGmUGIHiZUwrnVD2I08
b/PLMoCSkvnMbhAL7tT1yR9foxTVADeQsxbfBl6Hp9bUFzzPMvMQZYrXoH3LGelO
ltz2iXIy3XpPyE8s9wGdOeoFKt8xDkEdfr32MMw0w9ZW3NYwdRHDrRGc8c7FsTJl
HjdmT4fJB26au7FaFJUsucfpGR3GZVr0uYOBg1+kYoB3yul+by0=
=wosX
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Nov 2019 11:25:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 06:25:31 2019
Received: from localhost ([127.0.0.1]:48293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTOrx-0001ul-T3
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 06:25:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:41939)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iTNch-0008Fk-70
 for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 05:05:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46963)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <me@HIDDEN>) id 1iTNcg-0000mO-0G
 for bug-guix@HIDDEN; Sat, 09 Nov 2019 05:05:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1iTNce-0000R5-68
 for bug-guix@HIDDEN; Sat, 09 Nov 2019 05:05:37 -0500
Received: from menkent.uberspace.de ([185.26.156.18]:57906)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <me@HIDDEN>) id 1iTNcd-0000Q2-SM
 for bug-guix@HIDDEN; Sat, 09 Nov 2019 05:05:36 -0500
Received: (qmail 19156 invoked from network); 9 Nov 2019 10:05:32 -0000
Received: from localhost (HELO hooch.localdomain) (127.0.0.1)
 by menkent.uberspace.de with SMTP; 9 Nov 2019 10:05:32 -0000
Date: Sat, 9 Nov 2019 11:05:30 +0100
From: Florian Bruhin <me@HIDDEN>
To: bug-guix@HIDDEN
Subject: Guix packages old/broken version of qutebrowser
Message-ID: <20191109100530.zdfrewfmengq7pud@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="buappeeqvazrpqhh"
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 185.26.156.18
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 09 Nov 2019 06:25:27 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--buappeeqvazrpqhh
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi,

I'm the upstream author of qutebrowser - it looks like Guix currently packa=
ges
qutebrowser 0.11.0: https://guix.gnu.org/packages/qutebrowser-0.11.0/

That version is very outdated (July 2017, there have been 28 new releases s=
ince
then). It has various known security issues, but currently it just crashes
outright, because such an old version isn't compatible with Qt 5.11 which is
packaged in Guix.

That results in me getting crash reports around once per week - at this poi=
nt,
it'd probably be better to not package qutebrowser at all, seeing that nobo=
dy
seems to maintain that package for a long time now.

Florian

--=20
https://www.qutebrowser.org | me@HIDDEN (Mail/XMPP)
   GPG: 916E B0C8 FD55 A072 | https://the-compiler.org/pubkey.asc
         I love long mails! | https://email.is-not-s.ms/

--buappeeqvazrpqhh
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE4E5WAAJAG47w528KkW6wyP1VoHIFAl3Gj2cACgkQkW6wyP1V
oHJMNBAAqPiw7LjQnuRQPqR2xWvTDsc97kmFEeCWP9PhL++VpaqcSWOXhM5ngskm
Ybw8envr+1jS6/PuVB/E3ecKxX41TEDmSU1RJ6Y5/78GTTDU7qFjPNDVFiFvN/Mv
09MzkxDk0F3dYPwCni8axt4y+1Q8XlO4i6tWSHRSJ/sheO8ztT6xBkv9mau8jw8y
nkjqwVWRkroqi1Vr32hTNc1PH8Oejg9sSPah+IvaPW6vpXv7+YPXb2OlPrBrJL+x
XFn5nL+4SkltFIvMi5xDGQfoyOqLAqnW31lfB4rs24dcDhQZyCpHDWWaE0WenOCZ
M/BVCjFPy4n92uwAWEHgMsmozqK6HwnGY1E/+J/t9+WKlHjuRI3NtqPadXg7cPI9
2R95Wc3PdLinqCS9/8ynotq+5jkp3g4I+CQLtZbTxGjHYSEpw27seHvWGVQWTM9m
05MDgfiGQUm5w7y5JezmhVpOgQWAUJ21fmeA22LrDt9a9HfMB5TY87NsJWP/M8CW
1IG7cJlILob6N3kXlTNIAU45jEUXONUNTY2pDT/MKEE43XdP5kiA75SIQ+9BF3fM
iTY+UnOuGTT1sRgIJKZFpbuArUy33VI1UEg4e+Rpz/x7F+/bPTgJTXOtWQhKsqcB
sMHukSfb8p/P9wJU6Glldaqon0mY6MCUYRA6xdchvMaPq6YprKE=
=DiqZ
-----END PGP SIGNATURE-----

--buappeeqvazrpqhh--




Acknowledgement sent to Florian Bruhin <me@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38148; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Jan 2020 00:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.